## qt6-webengine 6.9.2+dfsg

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Require the Qt (not WebEngine) minimum supported CMake version.
# Another WebEngine-specific version check will be done in configure.cmake
# and reported in the configure summary.
cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
include(ExternalProject)
include(cmake/Functions.cmake)
include(cmake/QtGnTargetHelpers.cmake)
include(cmake/QtGnConfigHelpers.cmake)
include(cmake/QtConfigureHelpers.cmake)
include(cmake/QtWebEngineSbomHelpers.cmake)
include(cmake/QtToolchainHelpers.cmake)

project(QtWebEngineDummy)
find_package(Qt6 6.5 CONFIG REQUIRED COMPONENTS BuildInternals Core)

# Sepcial case of just doing gn build
if(DEFINED BUILD_ONLY_GN)
    qt_webengine_build_and_install_gn()
    return()
endif()

project(QtWebEngine
    VERSION ${Qt6Core_VERSION}
    DESCRIPTION "QtWebEngine and QtPdf modules"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)
qt_internal_project_setup()

find_package(Qt6 ${PROJECT_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS
    Gui Widgets Network OpenGL Quick Qml PrintSupport
    WebChannel WebChannelQuick Positioning QuickControls2
    Test QuickWidgets QuickTest WebSockets Designer
    JpegPrivate PngPrivate HarfbuzzPrivate FreetypePrivate ZlibPrivate
    HttpServer Svg
)

if(MATRIX_BUILD AND NOT MATRIX_SUBBUILD AND NOT QT_SUPERBUILD)
    qt_webengine_add_build(webengine_webrtc OFF)
    qt_webengine_add_build(webengine_proprietary_codecs ON)
    qt_webengine_add_build(webengine_printing_and_pdf OFF)
    qt_webengine_add_build(webengine_extensions OFF)
    qt_webengine_add_build(webengine_spellchecker OFF)
    qt_webengine_add_build(qtwebengine_build OFF)
    return()
endif()

# Don't auto create the SBOM projects, they will be manually created
# for each sub-project.
set(QT_SKIP_SBOM_AUTO_PROJECT TRUE)
qt_build_repo()

# Coin sanity check after qt_build_repo report is printed

qt_webengine_configure_check_coin(coin.nodes
    "${QT_CONFIGURE_CHECK_qtwebengine_build}"
    "${QT_CONFIGURE_CHECK_qtpdf_build}"
)

=== examples/pdfwidgets/CMakeLists.txt ===
qt_internal_add_example(pdfviewer)

=== examples/webenginequick/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_internal_add_example(lifecycle)
qt_internal_add_example(quicknanobrowser)

=== examples/pdf/multipage/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(multipage LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/pdf/multipage")

find_package(Qt6 REQUIRED COMPONENTS Gui Qml OPTIONAL_COMPONENTS Svg)
if(NOT TARGET Qt::Svg)
    message(WARNING "QtSvg is required as runtime dependency for qtpdfquick examples.")
endif()

qt_add_executable(multipage
    main.cpp
    pdfapplication.h
    pdfapplication.cpp
)

if (APPLE AND NOT IOS)
    set(MACOSX_BUNDLE_ICON_FILE multipage.icns)
    set(app_icon_macos "${CMAKE_CURRENT_SOURCE_DIR}/resources/multipage.icns")
    set_source_files_properties(${app_icon_macos} PROPERTIES
           MACOSX_PACKAGE_LOCATION "Resources")
    target_sources(multipage PRIVATE ${app_icon_macos})
    set(MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/resources/macos/Info.plist")
endif()

set_target_properties(multipage PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(multipage PUBLIC
    Qt::Gui
    Qt::Qml
)

set(viewer_resource_files
    "resources/document-open.svg"
    "resources/edit-clear.svg"
    "resources/edit-copy.svg"
    "resources/edit-select-all.svg"
    "resources/go-down-search.svg"
    "resources/go-next-view-page.svg"
    "resources/go-previous-view-page.svg"
    "resources/go-up-search.svg"
    "resources/rotate-left.svg"
    "resources/rotate-right.svg"
    "resources/sidebar-collapse-left.svg"
    "resources/sidebar-expand-left.svg"
    "resources/test.pdf"
    "resources/zoom-fit-best.svg"
    "resources/zoom-fit-width.svg"
    "resources/zoom-in.svg"
    "resources/zoom-original.svg"
    "resources/zoom-out.svg"
    "viewer.qml"
)

qt_add_resources(multipage "viewer"
    PREFIX
        "/multipage"
    FILES
        ${viewer_resource_files}
)

install(TARGETS multipage
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginequick/quicknanobrowser/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(quicknanobrowser LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginequick/quicknanobrowser")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml Quick WebEngineQuick)

qt_add_executable(quicknanobrowser
    main.cpp
    utils.h
)

if(WIN32)
    set_property(
        TARGET quicknanobrowser
        APPEND PROPERTY
            SOURCES quicknanobrowser.exe.manifest)
endif()

set_target_properties(quicknanobrowser PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
    MACOSX_BUNDLE_GUI_IDENTIFIER "io.qt.examples.webenginequick.quicknanobrowser"
)

target_link_libraries(quicknanobrowser PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::WebEngineQuick
)

qt_add_qml_module(quicknanobrowser
    URI BrowserUtils
    VERSION 1.0
    QML_FILES
        "ApplicationRoot.qml"
        "BrowserDialog.qml"
        "BrowserWindow.qml"
        "DownloadView.qml"
        "FindBar.qml"
        "FullScreenNotification.qml"
        "WebAuthDialog.qml"
    RESOURCE_PREFIX /
)

set(resources1_resource_files
    "icons/3rdparty/go-next.png"
    "icons/3rdparty/go-previous.png"
    "icons/3rdparty/process-stop.png"
    "icons/3rdparty/view-refresh.png"
)

qt_add_resources(quicknanobrowser "resources1"
    PREFIX
        "/icons"
    BASE
        "icons/3rdparty"
    FILES
        ${resources1_resource_files}
)

if(TARGET Qt::Widgets)
    target_link_libraries(quicknanobrowser PUBLIC
        Qt::Widgets
    )
endif()

if (APPLE)
    set_target_properties(quicknanobrowser PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.cmake.macos.plist"
    )

    if (NOT CMAKE_GENERATOR STREQUAL "Xcode")
        # Need to sign application for location permissions to work
        if(QT_FEATURE_debug_and_release)
            set(exe_path "${CMAKE_CURRENT_BINARY_DIR}/$<CONFIG>/")
        else()
            unset(exe_path)
        endif()
        add_custom_command(TARGET quicknanobrowser
            POST_BUILD COMMAND codesign --force -s - ${exe_path}quicknanobrowser.app
        )
    endif()
endif()

install(TARGETS quicknanobrowser
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginewidgets/contentmanipulation/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(contentmanipulation LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/contentmanipulation")

find_package(Qt6 REQUIRED COMPONENTS Core Gui WebEngineWidgets)

qt_add_executable(contentmanipulation
    main.cpp
    mainwindow.cpp mainwindow.h
)

set_target_properties(contentmanipulation PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(contentmanipulation PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)

# Resources:
set(jquery_resource_files
    "jquery.min.js"
)

qt_add_resources(contentmanipulation "jquery"
    PREFIX
        "/"
    FILES
        ${jquery_resource_files}
)

install(TARGETS contentmanipulation
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-webengine (6.9.2+dfsg-3~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux 25.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 27 Oct 2025 00:03:44 -0700

qt6-webengine (6.9.2+dfsg-3~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Add debian/patches/fix-sbom-for-trixie.patch.
  * debian/control:  Remove the version constraints on the qt6 Build-Depends.
  * debian/qt6-pdf-dev.install:  Remove private cmake files not generated when
    built againt Qt 6.8.2.
  * debian/qt6-webengine-dev.install:  Remove private cmake files not generated
    when built againt Qt 6.8.2.

 -- Soren Stoutner <soren@debian.org>  Tue, 07 Oct 2025 14:05:12 -0700

qt6-webengine (6.9.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:11:43 +0200

qt6-webengine (6.9.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Use gcc-14 for builds on arm64.
  * Add patch to fix GPU rendering with Mesa 25.2.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Sep 2025 20:29:36 +0200

qt6-webengine (6.9.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Sep 2025 11:10:29 +0200

qt6-webengine (6.9.1+dfsg-5) experimental; urgency=medium

  [ Patrick Franz ]
  * New binary package qt6-pdf-private-dev.

 -- Patrick Franz <deltaone@debian.org>  Thu, 28 Aug 2025 21:50:31 +0200

qt6-webengine (6.9.1+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove inactive uploaders, thank you for your work.
  * Remove redundant build-dependencies.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 27 Aug 2025 21:25:05 +0200

=== debian/control ===
Source: qt6-webengine
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Soren Stoutner <soren@debian.org>
Build-Depends: binutils (>= 2.32-8~),
               bison,
               ccache,
               cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               flex,
               g++-14 [arm64],
               gcc-14 [arm64],
               gperf,
               libasound2-dev,
               libavcodec-dev (>= 7:4.0~),
               libavformat-dev (>= 7:4.0~),
               libavutil-dev (>= 7:4.0~),
               libcups2-dev (>= 1.5.0),
               libdbus-1-dev,
               libegl1-mesa-dev,
               libevent-dev,
               libfontconfig-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libjpeg-dev,
               libjs-jquery,
               libjs-jquery-tablesorter,
               libjsoncpp-dev,
               libkrb5-dev,
               liblcms2-dev,
               libminizip-dev,
               libnss3-dev,
               libopenjp2-7-dev,
               libopus-dev (>= 1.3.1),
               libpci-dev,
               libpng-dev,
               libprotobuf-dev,
               libpulse-dev,
               libsnappy-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff-dev,
               libusb-1.0-0-dev,
               libvpx-dev (>= 1.8),
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libwebp-dev,
               libx11-xcb-dev,
               libxcb-dri3-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxkbfile-dev,
               libxml2-dev,
               libxnvctrl-dev,
               libxrandr-dev,
               libxrender-dev,
               libxshmfence-dev,
               libxslt1-dev,
               libxss-dev,
               libxtst-dev,
               mesa-common-dev,
               ninja-build,
               nodejs,
               pkg-kde-tools,
               pkgconf,
               protobuf-compiler,
               python3,
               python3-html5lib,
               qt6-base-dev,
               qt6-base-private-dev,
               qt6-declarative-dev,
               qt6-declarative-private-dev,
               qt6-documentation-tools <!nodoc>,
               qt6-httpserver-dev,
               qt6-positioning-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-websockets-dev,
               re2c,
               rollup,
               ruby,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine.git
Rules-Requires-Root: no

Package: libqt6webenginecore6
Provides: qt6-webengine-private-abi (= 6.9.2)
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libqt6webengine6-data (= ${source:Version}),
         sse3-support [amd64 i386],
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core library.

Package: libqt6pdf6
Provides: qt6-pdf-private-abi (= 6.9.2)
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 PDF library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF library.

Package: libqt6pdfquick6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 PDF Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Quick library.

Package: libqt6pdfwidgets6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 PDF Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Widgets library.

Package: libqt6webenginecore6-bin
Architecture: amd64 arm64 armhf i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Core binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core binaries.

Package: libqt6webenginequick6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Quick library.

Package: libqt6webenginewidgets6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libqt6webengine6-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Widgets library.

Package: libqt6webengine6-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 Web content engine library - data
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the arch independent parts of Qt WebEngine libraries.

Package: qt6-image-formats-plugin-pdf
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 PDF image format plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package provides an image plugin that allows image-viewing applications
 to view PDF files (the first page of PDF will be shown).

Package: qml6-module-qtquick-pdf
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: qt6-image-formats-plugin-pdf,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends}
Description: Qt 6 Quick PDF QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 Quick PDF QML module.

Package: qml6-module-qtwebengine
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine QML module for Qt 6 Declarative.

Package: qml6-module-qtwebengine-controlsdelegates
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends}
Breaks: libqt6webenginequickdelegatesqml6
Replaces: libqt6webenginequickdelegatesqml6
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Controls Delegates QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Controls Delegates QML module
 for Qt 6 Declarative.

Package: qt6-webengine-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: libqt6webenginecore6 (= ${binary:Version}),
         libqt6webenginequick6 (= ${binary:Version}),
         libqt6webenginewidgets6 (= ${binary:Version}),
         qml6-module-qtquick-pdf (= ${binary:Version}),
         qml6-module-qtwebengine (= ${binary:Version}),
         qml6-module-qtwebengine-controlsdelegates (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-positioning-dev,
         qt6-webchannel-dev,
         qt6-webengine-dev-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qt6-pdf-dev (= ${binary:Version})
Breaks: qt6-webengine-private-dev (<< 6.7.2+dfsg-6)
Replaces: qt6-webengine-private-dev (<< 6.7.2+dfsg-6)
Description: Qt 6 WebEngine library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 6 applications
 using Qt WebEngine libraries.

Package: qt6-webengine-private-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends}
Description: Qt 6 WebEngine library - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the private development files needed to build Qt 6
 applications using Qt WebEngine libraries.
 .
 Use at your own risk.

Package: qt6-webengine-dev-tools

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(PARALLEL_OPTION))
	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
	export NINJAJOBS = -j$(NUMJOBS)
endif

# Reduce memory consumption & parallelism on certain architectures
ifeq (armhf, $(DEB_HOST_ARCH))
	export LDFLAGS+=-Wl,--no-keep-memory
	export NINJAJOBS = -j2
endif

ifeq (i386, $(DEB_HOST_ARCH))
	export LDFLAGS+=-Wl,--no-keep-memory
	export NINJAJOBS = -j2
endif

ifeq (i386, $(DEB_HOST_ARCH_CPU))
	export DEB_CFLAGS_MAINT_APPEND = -msse -msse2
	export DEB_CXXFLAGS_MAINT_APPEND = -msse -msse2
endif

# Force build with GCC-14 on arm64
ifeq (arm64, $(DEB_HOST_ARCH))
	export CC=gcc-14
	export CXX=g++-14
endif

%:
	dh $@ --buildsystem=cmake+ninja

touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js

override_dh_auto_clean:
	dh_auto_clean

	# Remove the system version of rollup, which is copied in during build to replace the bundled version that is remove by the copyright file.
	rm -rf src/3rdparty/chromium/third_party/node/node_modules/rollup/

	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
	for fname in $(touch_files); do \
		rm -f $(CURDIR)/$${fname}; \
	done

# Turn on system FFmpeg libraries for 6.3
override_dh_auto_configure:
	# Create js files, that are needed for building step for arch and indep builds
	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
		cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js

	# Use the system rollup.
	cp -a /usr/share/nodejs/rollup src/3rdparty/chromium/third_party/node/node_modules/rollup/

	# jQuery
	cp /usr/share/javascript/jquery/jquery.min.js examples/webenginewidgets/contentmanipulation/
	cp /usr/share/javascript/jquery/jquery.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/
	cp /usr/share/javascript/jquery-tablesorter/jquery.tablesorter.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/

	set -ex; for fname in $(touch_files); do \
		mkdir -p $(CURDIR)/$$(dirname $${fname}); \
		touch $(CURDIR)/$${fname}; \
	done

	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DFEATURE_webengine_system_icu=ON \
		-DFEATURE_webengine_system_libevent=ON \
		-DFEATURE_webengine_system_libopenjpeg2=ON \
		-DFEATURE_webengine_system_libpng=ON \
		-DFEATURE_webengine_system_libtiff=ON \
		-DFEATURE_qtpdf_build=ON \
		-DFEATURE_qtpdf_widgets_build=ON \
		-DFEATURE_qtpdf_quick_build=ON \
		-DFEATURE_webengine_proprietary_codecs=ON \
		-DFEATURE_webengine_kerberos=ON

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- docs

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
	# Install documentation.
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

override_dh_dwz:

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## qt6-webengine 6.9.3

=== debian/changelog ===
qt6-webengine (6.9.3-0zneon+24.04+noble+release+build38) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 12:37:25 +0000

qt6-webengine (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

=== debian/control ===
Source: qt6-webengine
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: binutils (>= 2.32-8~),
               bison,
               cmake,
               debhelper-compat (= 13),
               flex,
               generate-ninja,
               gperf,
               libasound2-dev,
               libavcodec-dev (>= 7:4.0~),
               libavformat-dev (>= 7:4.0~),
               libavutil-dev (>= 7:4.0~),
               libcups2-dev (>= 1.5.0),
               libdbus-1-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libepoxy-dev,
               libevent-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libjpeg-dev,
               libjs-d3,
               libjs-jquery,
               libjs-jquery-tablesorter,
               libjsoncpp-dev,
               libkrb5-dev,
               liblcms2-dev,
               libminizip-dev,
               libnss3-dev,
               libopenjp2-7-dev,
               libopus-dev (>= 1.3.1),
               libpci-dev,
               libpipewire-0.3-dev,
               libpng-dev,
               libpoppler-cpp-dev,
               libprotobuf-dev,
               libpulse-dev,
               libre2-dev,
               libsnappy-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff-dev,
               libusb-1.0-0-dev,
               libva-dev,
               libvpx-dev (>= 1.8),
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libwebp-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dri3-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxi-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxkbfile-dev,
               libxml2-dev,
               libxnvctrl-dev,
               libxrandr-dev,
               libxrender-dev,
               libxshmfence-dev,
               libxslt1-dev,
               libxss-dev,
               libxtst-dev,
               mesa-common-dev,
               mold,
               ninja-build,
               node-pako,
               node-rollup-plugin-terser,
               node-yargs,
               nodejs,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               protobuf-compiler,
               python3,
               python3-html5lib,
               qt6-base-dev (>= 6.9.3~),
               qt6-base-doc (>= 6.9.3~) <!nodoc>,
               qt6-declarative-dev (>= 6.9.3~),
               qt6-documentation-tools (>= 6.9.3~) <!nodoc>,
               qt6-httpserver-dev,
               qt6-imageformats-dev (>= 6.9.3~),
               qt6-positioning-dev (>= 6.9.3~),
               qt6-svg-dev (>= 6.9.3~),
               qt6-tools-dev (>= 6.9.3~),
               qt6-webchannel-dev (>= 6.9.3~),
               qt6-websockets-dev (>= 6.9.3~),
               re2c,
               rollup,
               ruby,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-webengine.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-webengine
Maintainer: Neon CI <neon@kde.org>

Package: qt6-webengine
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-declarative,
         qt6-svg,
         sse3-support [amd64 i386],
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6webenginequickdelegatesqml6
Provides: qt6-webengine-abi (= 6.9.3)
Replaces: convert-bdic,
          libqt6pdf6,
          libqt6pdfquick6,
          libqt6pdfwidgets6,
          libqt6webengine6,
          libqt6webengine6-data,
          libqt6webenginecore6,
          libqt6webenginecore6-bin,
          libqt6webenginequick6,
          libqt6webenginequickdelegatesqml6,
          libqt6webenginewidgets6,
          qml6-module-qtwebengine,
          qml6-module-qtwebengine-controlsdelegates,
          qt6-image-formats-plugin-pdf
Description: Qt 6 WebEngine Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core library.

Package: qt6-webengine-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-positioning-dev,
         qt6-webchannel-dev,
         qt6-webengine (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-pdf-dev,
          qt6-webengine-dev-tools,
          qt6-webengine-doc-dev,
          qt6-webengine-examples,
          qt6-webengine-private-dev
Description: Qt 6 WebEngine library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 6 applications
 using Qt WebEngine libraries.

Package: qt6-webengine-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-webengine-dev, ${misc:Depends}
Replaces: qt6-webengine-doc-html
Description: Qt 6 WebEngine library - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the documentation to help build Qt 6 applications
 using Qt WebEngine libraries.

Package: libqt6pdf6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6pdfquick6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6pdfwidgets6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webenginecore6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webenginecore6-bin
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webenginequick6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webenginewidgets6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webengine6-data
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-image-formats-plugin-pdf
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-pdf
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtwebengine
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtwebengine-controlsdelegates
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-pdf-dev
Architecture: all
Depends: qt6-webengine-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webengine-private-dev
Architecture: all
Depends: qt6-webengine-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webengine-dev-tools
Architecture: all
Depends: qt6-webengine-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webengine-doc-dev
Architecture: all
Depends: qt6-webengine-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webengine-doc-html
Architecture: all
Depends: qt6-webengine-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webengine-examples
Architecture: all
Depends: qt6-webengine-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
#set it in the jenkins amd64 config to be a 48core_amd64 builder
#export DEB_BUILD_OPTIONS = parallel=48
export DH_VERBOSE = 1

PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(PARALLEL_OPTION))
	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
	export NINJAJOBS = -j$(NUMJOBS)
	# Limit parallelism for armhf
	ifeq (armhf, $(DEB_HOST_ARCH))
		ifeq ($(shell test $(NUMJOBS) -gt 6; echo $$?),0)
			export NINJAFLAGS = -j6
			export NINJAJOBS = -j6
		endif
	endif
endif

# Reduce memory consumption on certain architectures
ifeq (armhf, $(DEB_HOST_ARCH))
export LDFLAGS+=-Wl,--no-keep-memory
endif

ifeq (i386, $(DEB_HOST_ARCH))
export LDFLAGS+=-Wl,--no-keep-memory
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js


override_dh_auto_clean:
	dh_auto_clean

	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
	for fname in $(touch_files); do \
		rm -f $(CURDIR)/$${fname}; \
	done

override_dh_auto_configure:
	# all files need to exist before configure is run for unity build
	# Create js files, that are needed for building step for arch and indep builds
	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
	cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js

	# jQuery
	cp /usr/share/javascript/jquery/jquery.min.js examples/webenginewidgets/contentmanipulation/
	cp /usr/share/javascript/jquery/jquery.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/
	cp /usr/share/javascript/jquery-tablesorter/jquery.tablesorter.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/

	set -ex; for fname in $(touch_files); do \
		mkdir -p $(CURDIR)/$$(dirname $${fname}); \
		touch $(CURDIR)/$${fname}; \
	done

	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DFEATURE_pdf_v8=ON \
		-DFEATURE_pdf_xfa=ON \
		-DFEATURE_pdf_xfa_bmp=ON \
		-DFEATURE_pdf_xfa_gif=ON \
		-DFEATURE_pdf_xfa_png=ON \
		-DFEATURE_pdf_xfa_tiff=ON \
		-DFEATURE_qtpdf_build=ON \
		-DFEATURE_qtpdf_quick_build=ON \
		-DFEATURE_qtpdf_widgets_build=ON \
		-DFEATURE_qtwebengine_quick_build=ON \
		-DFEATURE_qtwebengine_widgets_build=ON \
		-DFEATURE_webengine_kerberos=ON \
		-DFEATURE_webengine_proprietary_codecs=ON \
		-DFEATURE_webengine_system_icu=OFF \
		-DFEATURE_webengine_system_libevent=ON \
		-DFEATURE_webengine_system_libjpeg=on \
		-DFEATURE_webengine_system_libpng=on \
		-DFEATURE_webengine_system_zlib=ON \
		-DFEATURE_webengine_webrtc=ON \
		-DFEATURE_webengine_webrtc_pipewire=ON \
		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
		-DQT_UNITY_BUILD=ON


override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- docs

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
	# Install documentation.
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

override_dh_dwz:

## qt6-webengine 6.10.0

=== debian/changelog ===
qt6-webengine (6.10.0-0zneon+24.04+noble+stable+build44) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 18 Nov 2025 05:53:39 +0000

qt6-webengine (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:24 +1000

=== debian/control ===
--- 
+++ 
@@ -87,17 +87,17 @@
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-base-doc (>= 6.9.3~) <!nodoc>,
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-documentation-tools (>= 6.9.3~) <!nodoc>,
+               qt6-base-dev (>= 6.10.0~),
+               qt6-base-doc (>= 6.10.0~) <!nodoc>,
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-documentation-tools (>= 6.10.0~) <!nodoc>,
                qt6-httpserver-dev,
-               qt6-imageformats-dev (>= 6.9.3~),
-               qt6-positioning-dev (>= 6.9.3~),
-               qt6-svg-dev (>= 6.9.3~),
-               qt6-tools-dev (>= 6.9.3~),
-               qt6-webchannel-dev (>= 6.9.3~),
-               qt6-websockets-dev (>= 6.9.3~),
+               qt6-imageformats-dev (>= 6.10.0~),
+               qt6-positioning-dev (>= 6.10.0~),
+               qt6-svg-dev (>= 6.10.0~),
+               qt6-tools-dev (>= 6.10.0~),
+               qt6-webchannel-dev (>= 6.10.0~),
+               qt6-websockets-dev (>= 6.10.0~),
                re2c,
                rollup,
                ruby,
@@ -122,7 +122,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libqt6webenginequickdelegatesqml6
-Provides: qt6-webengine-abi (= 6.9.3)
+Provides: qt6-webengine-abi (= 6.10.0)
 Replaces: convert-bdic,
           libqt6pdf6,
           libqt6pdfquick6,

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtwebengine-everywhere-src-([\d\.]+\d).tar.xz

## qt6-webengine 6.10.1

=== debian/changelog ===
qt6-webengine (6.10.1-0zneon+24.04+noble+stable+build45) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 04:08:47 +0000

qt6-webengine (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:04 +1000

=== debian/control ===
--- 
+++ 
@@ -87,17 +87,17 @@
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-base-doc (>= 6.10.0~) <!nodoc>,
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-documentation-tools (>= 6.10.0~) <!nodoc>,
-               qt6-httpserver-dev,
-               qt6-imageformats-dev (>= 6.10.0~),
-               qt6-positioning-dev (>= 6.10.0~),
-               qt6-svg-dev (>= 6.10.0~),
-               qt6-tools-dev (>= 6.10.0~),
-               qt6-webchannel-dev (>= 6.10.0~),
-               qt6-websockets-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-base-doc (>= 6.10.1~) <!nodoc>,
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-documentation-tools (>= 6.10.1~) <!nodoc>,
+               qt6-httpserver-dev (>= 6.10.1~),
+               qt6-imageformats-dev (>= 6.10.1~),
+               qt6-positioning-dev (>= 6.10.~),
+               qt6-svg-dev (>= 6.10.1~),
+               qt6-tools-dev (>= 6.10.1~),
+               qt6-webchannel-dev (>= 6.10.1~),
+               qt6-websockets-dev (>= 6.10.1~),
                re2c,
                rollup,
                ruby,
@@ -122,7 +122,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libqt6webenginequickdelegatesqml6
-Provides: qt6-webengine-abi (= 6.10.0)
+Provides: qt6-webengine-abi (= 6.10.1)
 Replaces: convert-bdic,
           libqt6pdf6,
           libqt6pdfquick6,

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 
-	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
+	#rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
 	for fname in $(touch_files); do \
 		rm -f $(CURDIR)/$${fname}; \
 	done
@@ -47,8 +47,8 @@
 override_dh_auto_configure:
 	# all files need to exist before configure is run for unity build
 	# Create js files, that are needed for building step for arch and indep builds
-	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
-	cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js
+	#cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
+	#cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js
 
 	# jQuery
 	cp /usr/share/javascript/jquery/jquery.min.js examples/webenginewidgets/contentmanipulation/
@@ -84,7 +84,6 @@
 		-DFEATURE_webengine_system_zlib=ON \
 		-DFEATURE_webengine_webrtc=ON \
 		-DFEATURE_webengine_webrtc_pipewire=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON

## qt6-webengine 6.10.2%2Bdfsg

=== debian/changelog ===
qt6-webengine (6.10.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update ABI to 6.10.2.
  * Update d/watch to format version 5.
  * Adjust files to be excluded from the tarball.
  * Refresh patches.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Feb 2026 13:40:14 +0100

qt6-webengine (6.9.2+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 23:41:20 +0100
